[Flex]Flex的配置和运行(二)

友情提示:
由于Flex已经更新到3.0版本,所以本文所写的内容只对Flex1.5有效,在Flex1.5以上的版本中均不好使
关于Flex2.0及其以上的内容请看这里:http://www.k-zone.cn/zblog/catalog.asp?tags=Flex2&page=1

以前的内容:
终于到周末了,晚上给大家加班贴出flex的教程第二辑:

4、安装eclipse,在这个地址下载eclipse for wtp-all-in-one-0.7-win32.zip,本机也有!
http://www.eclipse.org/downloads/download.php?file=/webtools/downloads/drops/R-0.7-200507290654/wtp-all-in-one-0.7-win32.zip

下载完以后,把eclipse for wtp-all-in-one-0.7的rar解压缩到任意目录下面,我选择的是f:的根目录下面,关于eclipse for wtp-all-in-one-0.7这个版本,已经自带了关于j2ee的插件,不需要在进行额外的配置了!然后运行eclipse.exe文件,它首先需要选择一个workspace,用默认的就可以了。进行配置:

Ⅰ 配置java-buildpath,如下图配置:


Ⅱ  配置JDK,TOMCAT运行的时候需要JDK,eclipse自动找到的是jre,如下图:

选择add,之后按如下图进行配置:

主要就是找到刚才安装的jdk的目录,并且给JRE起一个名字!配置成功后,如下图:


Ⅲ 配置xml 和 internet 缓存,在web应用中通常有很多的xml文件,默认情况下wtp会去验证这些xml文件,这就需要有这些xml文件的定义dtd或者xsd文件。wtp默认的会自动去下载,下载下来之后可以缓存之后供以后使用。所以首先我们要打开缓存功能。见下图,把disable cashing的勾去掉即可。

也可以把常用的xml文件的定义文件配置在xmlcatalog里边,这样进行xml验证的时候会自动使用这些文件,见下图:


Ⅳ 配置tomcat服务器,现在我们来配置tomcat,其他服务器的配置大致相同,如下图所示:

点击上图中的add按钮,选择刚才安装好的tomcat的版本号,比如:tomcat5.0


写入tomcat的名称,路径,最重要的是选择刚才配置好的JRE的名称,比如JDK1.5,然后选择Finish即可。这样eclipse for wtp-all-in-one-0.7就配置完毕,下面来进行一下check,看看是否成功!

Ⅴ 开发一个JSP
  关于开发jsp的部分,在本文里面就不在进行叙述了!

5、以上就是JDK+tomcat+eclipse开发jsp的过程,下面叙述用eclipse开发flex的部分,首先当第一次运行eclipse的时候,它会让你选择一个路径来当作workspace,如果你新建了一个project的话,例如你新建立的project名称叫做FX-Blog,eclipse就会在workspace/FX-Blog的下面建立如下图的文件夹结构:

其中javasource下面放的就是java的文件,webContent下面放的就是jsp的文件。
而且eclipse的所有关于这个project的配置文件全部放在eclipse的workspace\FX-Blog的目录下面,只要把这个文件夹copy到环境相同的另一台机器上,就不再需要配置eclipse了!现在进行flex+eclipse的配置,首先把tomcat中的webapps/samples的文件夹下面的WEB-INF和META-INF这2个文件夹copy到eclipse的workspace的你自己建立的project,例如F:\eclipse\workspace\FX-Blog\WebContent\这个下面,覆盖原有的文件就可以,然后重新启动eclipse,之后在F:\eclipse\workspace\FX-Blog\WebContent\下面建立一个mxml文件,如果在eclisple中运行这个mxml文件,能运行成功的话,说明flex1.5+tomcat5.X+eclipse3.1+flex builder1.5+JDK1.5配置成

也不知道贴的是否正确啊  希望不要有错误,累死了,Kenshin要去吃饭了!有错误的话告诉Kenshin一声哦!(*^__^*) 

PS:关于FXBLOG,我周末就放上来吧,不整理了  大家从这里下载吧,移植到flex2中失败,还没有研究什么原因造成的呢!,如果大家使用我的fxblog的时候出现问题的话,请告诉我一声,本着opensource的原则嘛(*^__^*)